> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Charging Session

Creates a charging session and starts power delivery on the requested connector. The session remains `active` until you end it or the charging station stops delivering power. On success, the response returns the live session object with its start time and any authorization details.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/charging_sessions \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "charging_station": "chst_dxNYlw4nSLzUm4GWwPJ5ochwR3myCKsA",
    "connector": "connector_a1",
    "driver": "drv_AxAS7yPHekpPhbGMcO4wAAZrt3OA9mEc",
    "payment_method": "pm_BEAD5NIY9aCx3nSplzYUe7cxJ6QkI1BD",
    "vehicle": "veh_s2hlA8r7yI5C1Xo8bjJyglHiJBegvTA3"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "cs_ccJe4CNvGc5CRBiPnoPEPrZUuCfPqUbY",
      "object": "charging_session",
      "amount_due": 1842,
      "amount_paid": 0,
      "charging_station": "chst_dxNYlw4nSLzUm4GWwPJ5ochwR3myCKsA",
      "connector": "connector_a1",
      "country": "FR",
      "created": "2026-04-01T01:09:14.087Z",
      "currency": "eur",
      "driver": "drv_AxAS7yPHekpPhbGMcO4wAAZrt3OA9mEc",
      "energy_consumed": 0,
      "fleet": "flt_VPncsNUF64r6IMozGsQXGXBrA3USpxxb",
      "payment_method": "pm_BEAD5NIY9aCx3nSplzYUe7cxJ6QkI1BD",
      "session_ended": null,
      "session_limit": null,
      "session_started": "2026-04-01T01:15:03.983Z",
      "status": "active",
      "updated": "2026-04-01T01:18:50.258Z",
      "vehicle": "veh_s2hlA8r7yI5C1Xo8bjJyglHiJBegvTA3"
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="charging_station" type="string" required>
  ID of the station where charging will occur.
</ParamField>

<ParamField body="connector" type="string" required>
  ID of the specific connector to activate.
</ParamField>

<ParamField body="driver" type="string" required>
  ID of the driver starting the session.
</ParamField>

<ParamField body="payment_method" type="string" required>
  ID of the payment method to authorize and bill for this session.
</ParamField>

<ParamField body="vehicle" type="string" required>
  ID of the vehicle being charged.
</ParamField>

## More parameters

<ParamField body="session_limit" type="integer">
  Optional energy limit in watt-hours to auto-stop charging when reached.
</ParamField>

## Returns

Returns the created charging session.
